Arch: MeshToShape

From FreeCAD Documentation
This page is a translated version of the page Arch MeshToShape and the translation is 19% complete.
Outdated translations are marked like this.

Arch MeshToShape

poziția meniului
Arch → Utilities → Mesh to Shape
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch SplitMesh, Arch RemoveShape

Descriere

Acest instrument convertește un obiect selectat Mesh într-un obiect Shape. Notă: Acest instrument este optimizat pentru obiectele cu fețe plate (fără curbe). Instrumentul corespunzător din Part Workbench poate fi mai potrivit pentru obiectele care conțin suprafețe curbe.

This tool is optimized for objects with flat faces (no curves). The corresponding tool Part ShapeFromMesh from the Part Workbench might be more suited for objects that contain curved surfaces.

Cum se folosește

  1. Selectați un obiect tip plasă
  2. apăsați tasta Mesh to Shape în meniul Arch → Utilities menu

Properties

Limitations

Scripting

Scrip-Programare

Acest instrument poate fi utilizat în macros și din consola Python utilizând următoarea funcție:

new_obj = meshToShape(obj, mark=True, fast=True, tol=0.001, flat=False, cut=True)

Transformă o plasă într-op formă, unind fațetele coplanare.

Example:

import Arch, Mesh, BuildRegularGeoms

Box = FreeCAD.ActiveDocument.addObject("Mesh::Cube", "Cube")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

new_obj = Arch.meshToShape(Box)